%Set preferences with setdbprefs.
setdbprefs('DataReturnFormat', 'table');
setdbprefs('NullNumberRead', 'NaN');
setdbprefs('NullStringRead', 'null');


%Make connection to database.  Note that the password has been omitted.
%Using ODBC driver.
conn = database('esempioDanieli', '', '');

%Read data from database.
curs = exec(conn, ['SELECT 	Data.ARML'...
    ' ,	Data.BAYL'...
    ' ,	Data.BGYL'...
    ' ,	Data.LOGL'...
    ' ,	Data.RTKL'...
    ' ,	Data.TSCOL'...
    ' ,	Data.VODL'...
    ' ,	Data.WTDL'...
    ' ,	Data.Date'...
    ' FROM 	Data ']);

curs = fetch(curs);
close(curs);

%Assign data to output variable
data = curs.Data;

%Close database connection.
close(conn);

%Clear variables
clear curs conn